Draws
GET
/v1/draws
const url = 'https://api.tako.wtf/v1/draws';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.tako.wtf/v1/drawsParameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”vault
string
Only draws of this vault
limit
integer
Page size, 1–200, default 50
Responses
Section titled “Responses”OK
Media typeapplication/json
Array<object>
object
vault
required
User-friendly address
string
id
required
integer
round
required
Drand round the draw waits for
string | null
randomness
required
Sha256 of the drand signature, hex
string | null
prizeTotal
required
Amount in nanoGram, as a decimal string
string
prizeCount
required
integer
Example generated
[ { "vault": "example", "id": 1, "closedAt": 1, "round": "example", "revealedAt": 1, "randomness": "example", "principal": "example", "winner": "example", "prizeTotal": "example", "prizeCount": 1 }]Invalid parameter
Media typeapplication/json
object
error
required
string
Example generated
{ "error": "example"}